MKNETID(8)

NAME
mknetid - generate netid map data

SYNOPSIS
mknetid [-q] [-g group_file] [-p passwd_file] [-h hosts_file] [-n netid_file] [-d domain]

DESCRIPTION
Mknetid processes the contents of the group(5), passwd(5), hosts(5) and netid(5) files into the format used to generate the netid.byname NIS map. This map is used to hold credential information for both users and hosts in a operating system independent format.

The mknetid command checks for duplicate occurances of netids and filters them out.

The mknetid command prints its results on the standard output. It is usually called only by /var/yp/Makefile when rebuilding the NIS maps.

OPTIONS
The mknetid command supports the following options:

-q  Normally, mknetid prints a warning message when it encounters a duplicate netid. This flag turns on 'quiet' mode, allowing the warnings to be surpressed. Other error messages may still be generated.

-g group-file
    The -g flag can be used to specify the location of the group information file. The compiled-in default is /etc/group.

-p passwd-file
    The -p flag can be used to specify the location of the passwd information file. The compiled-in default is /etc/passwd.

-h group-file
    The -h flag can be used to specify the location of the hosts database file. The compiled-in default is /etc/hosts.

-n netid-file
    The -n flag can be used to specify the location of the netid information file. The compiled-in default is /etc/netid. Note that no error is generated if the netid database can't be found. The netid database is not likely to be present on most systems until Secure RPC support is added to FreeBSD.

-d domain
    By default, the mknetid command uses the system domainname when generating netid records. If the system domainnameis not set, the domain must be specified on the command line with the -d flag. If the domainname is set, the -d flag may be used to override it.

FILES
/var/yp/Makefile
    The Makefile that calls yp_mkdb and mknetid to build the NIS databases.
/etc/group
    The default group database file.
/etc/passwd
    The default passwd database file.
/etc/hosts
    The default hosts database file.
/etc/netid
    The default netid database file.

SEE ALSO
yp(4), yp_mkdb(8)

AUTHOR
Bill Paul <wpaul@ctr.columbia.edu>